<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Promotions StructType
 * @subpackage Structs
 */
class Promotions extends AbstractStructBase
{
    /**
     * The promoCode
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\RecordRef
     */
    public $promoCode;
    /**
     * The couponCode
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\RecordRef
     */
    public $couponCode;
    /**
     * Constructor method for Promotions
     * @uses Promotions::setPromoCode()
     * @uses Promotions::setCouponCode()
     * @param \StructType\RecordRef $promoCode
     * @param \StructType\RecordRef $couponCode
     */
    public function __construct(\StructType\RecordRef $promoCode = null, \StructType\RecordRef $couponCode = null)
    {
        $this
            ->setPromoCode($promoCode)
            ->setCouponCode($couponCode);
    }
    /**
     * Get promoCode value
     * @return \StructType\RecordRef|null
     */
    public function getPromoCode()
    {
        return $this->promoCode;
    }
    /**
     * Set promoCode value
     * @param \StructType\RecordRef $promoCode
     * @return \StructType\Promotions
     */
    public function setPromoCode(\StructType\RecordRef $promoCode = null)
    {
        $this->promoCode = $promoCode;
        return $this;
    }
    /**
     * Get couponCode value
     * @return \StructType\RecordRef|null
     */
    public function getCouponCode()
    {
        return $this->couponCode;
    }
    /**
     * Set couponCode value
     * @param \StructType\RecordRef $couponCode
     * @return \StructType\Promotions
     */
    public function setCouponCode(\StructType\RecordRef $couponCode = null)
    {
        $this->couponCode = $couponCode;
        return $this;
    }
}
